TAAS - Feature #268

Corporate Booking

Rules

10/21/2023 10:58 AM - Junaid M

Status: Reopen Bugs Testing Done Start date: 10/21/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Set Corporate Booking Rules

Description

Coding Set Set Corporate Booking Rules

History

#1 - 03/04/2024 06:20 PM -

- Status changed from New

Junaid M
to Open

- % Done changed from 0 to 10

#2 - 03/04/2024 06:20 PM -

Junaid M

- Assignee changed from travvise Admin to Greeshma S

#3 - 03/05/2024 03:46 PM -

Junaid M

- Assignee changed from Greeshma S to Nithin Raj

#4 - 03/05/2024 04:55 PM -

=> GUI Changes

-> Add 'Allowed All Customers'

Anil KV

checkbox default tick - After Customer

-> List Column Rename 'Customer' to 'All Customers' (Yes/No)
-> List Group by 'Customer'

-Untick the checkbox
=> Save/Update

then Customer mandatory

—>If customer exist then the rule saved customer->Corporate Booking Rules table also

=> Table

corporate.tbl_corporate_booking_rule

#5 - 03/06/2024 04:51 PM -

Anil KV

- Status changed from Open to Ready for Coding

- % Done changed from 10 to 20

#6 - 03/07/2024 05:15 PM -

Junaid M

- Subject changed from Set Corporate Booking Rules to Corporate Booking Rules

#7 - 03/07/2024 06:09 PM -
- File sql.sql added

- File 1-CsModel.cs added
- File 2-tsModel.ts added

- File 3-CsFile.cs added

Junaid M

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added
- File 6-HtmliFile.html added
#8 - 03/08/2024 09:45 AM - Nithin Raj
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#9 - 03/18/2024 05:33 PM - Nithin Raj
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#10 - 03/19/2024 11:10 AM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.CLEAR DATA IN Ul AND TAB AFTER SAVE
2.STATUS MANDATORY
3.ADD PRECISION FOR SLAB

#11 - 03/19/2024 03:47 PM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#12 - 03/19/2024 03:53 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ERROR WHILE CLEARING DEFAULT VALUE 0
2.PRECISION MISSING FROM SLAB

3.SHOWING NUMBERS ON THE COLUMN OF COUNTRY IN SOURCE/DESTINATION AIRPORT LIST

#13 - 03/20/2024 11:53 AM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#14 - 03/20/2024 12:04 PM - unnikannan S
TESTING DONE

#15 - 03/20/2024 12:05 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.FIX BUGS IN STAR RATE OF HOTEL

Done

#16 - 03/20/2024 12:35 PM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#17 - 03/20/2024 01:59 PM - unnikannan S
TESTING DONE

#18 - 03/20/2024 02:13 PM - unnikannan S
- File clipboard-202403201413-gphhw.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#19 - 03/20/2024 02:14 PM - unnikannan S
ERROR WHILE FOCUS OUT FROM CUSTOMER CODE AND SAVE

Done
#20 - 03/20/2024 06:31 PM - Nithin Raj

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#21 - 03/21/2024 10:07 AM - unnikannan S
TESTING DONE

#22 - 03/21/2024 10:08 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.CLEAR ADDED AIRLINE FROM CODE SHARING TAB FIELD AFTER ADDED TO LIST

Done

#23 - 03/21/2024 10:13 AM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 03/21/2024 04:54 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ERROR ON CONSOLE
2.FIXBUGS ON SOURCE/DESTINATION AIRLINE

#25 - 03/22/2024 06:46 PM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 03/23/2024 11:05 AM - unnikannan S
TESTING DONE

#27 - 11/19/2024 07:43 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clearing Edit Mode While Choosing Cancel Option On Delete Button

#28 - 11/20/2024 10:53 AM - Anil KV
- Assignee changed from Nithin Raj to Nithin PM

#29 - 11/20/2024 10:54 AM - Anil KV
- Assignee changed from Nithin PM to Greeshma S

#30 - 11/20/2024 07:22 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 11/22/2024 11:28 AM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#32 - 11/22/2024 11:36 AM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)FILTER ICON IS NOT PRESENT FOR CUSTOMER IN THE GRID

#33 - 11/22/2024 07:23 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#34 - 11/23/2024 09:46 AM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#35 - 02/20/2025 05:01 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

New Change

1)Allowed All Customers is unticked then make customer manadatory
2)Add tooltip for customer

#36 - 02/20/2025 05:36 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#37 - 02/24/2025 02:13 PM - Theja Ponon
- File clipboard-202502241410-uhnqi.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue found

1)all customer and customer both enable on new button click
#38 - 02/24/2025 02:52 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#39 - 02/25/2025 09:58 AM - Theja Ponon

- File clipboard-202502250957-8vsgs.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FOund

1)On re entering the same airline and fous out
No data

#40 - 02/25/2025 06:36 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#41 - 03/05/2025 02:28 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)On clearing the name of airline and hotel and focus out other codes are not removing

#42 - 03/05/2025 06:44 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 03/06/2025 10:09 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

1-CsModel.cs 5.39 KB 03/07/2024 Junaid M

sql.sql 25.3 KB 03/07/2024 Junaid M

2-tsModel.ts 2.62 KB 03/07/2024 Junaid M
3-CsFile.cs

5-TsFile.ts

4-CsControllerFile.cs
6-HtmlFile.html
clipboard-202403201413-gphhw.png
clipboard-202502241410-uhngi.png
clipboard-202502250957-8vsgs.png
